---

![kafka-manager-logo](../assets/images/common/logo_name.png)

**一站式`Apache Kafka`集群指标监控与运维管控平台**

--- 


| 定时任务名称或方法名                   | 所在类                                 | 详细说明                                   | cron            | cron说明                                | 线程数量 |
| -------------------------------------- | -------------------------------------- | ------------------------------------------ | --------------- | --------------------------------------- | -------- |
| calKafkaBill                           | CalKafkaTopicBill                      | 计算Kafka使用账单                          | 0 0 1 * * ？    | 每天凌晨1点执行一次                     | 1        |
| calRegionCapacity                      | CalRegionCapacity                      | 计算Region容量                             | 0 0 0/12 * * ？ | 每隔12小时执行一次，在0分钟0秒时触发    | 1        |
| calTopicStatistics                     | CalTopicStatistics                     | 定时计算Topic统计数据                      | 0 0 0/4 * * ?   | 每隔4小时执行一次，在0分钟0秒时触发     | 5        |
| flushBrokerTable                       | FlushBrokerTable                       | 定时刷新BrokerTable数据                    | 0 0 0/1 * * ?   | 每隔1小时执行一次，在0分钟0秒时触发     | 1        |
| flushExpiredTopic                      | FlushExpiredTopic                      | 定期更新过期Topic                          | 0 0 0/5 * * ?   | 每隔5小时执行一次，在0分钟0秒时触发     | 1        |
| syncClusterTaskState                   | SyncClusterTaskState                   | 同步更新集群任务状态                       | 0 0/1 * * * ?   | 每隔1分钟执行一次，在每分钟的0秒时触发  | 1        |
| newCollectAndPublishCGData             | CollectAndPublishCGData                | 收集并发布消费者指标数据                   | 30 0/1 * * * ?  | 每隔1分钟执行一次，在每分钟的30秒时触发 | 10       |
| collectAndPublishCommunityTopicMetrics | CollectAndPublishCommunityTopicMetrics | Topic社区指标收集                          | 31 0/1 * * * ?  | 每隔1分钟执行一次，在每分钟的30秒时触发 | 5        |
| collectAndPublishTopicThrottledMetrics | CollectAndPublishTopicThrottledMetrics | 收集和发布Topic限流信息                    | 11 0/1 * * * ?  | 每隔1分钟执行一次，在每分钟的11秒时触发 | 5        |
| deleteMetrics                          | DeleteMetrics                          | 定期删除Metrics信息                        | 0 0/2 * * * ?   | 每隔2分钟执行一次，在每分钟的0秒时触发  | 1        |
| storeDiDiAppTopicMetrics               | StoreDiDiAppTopicMetrics               | JMX中获取appId维度的流量信息存DB           | 41 0/1 * * * ?  | 每隔1分钟执行一次，在每分钟的41秒时触发 | 5        |
| storeDiDiTopicRequestTimeMetrics       | StoreDiDiTopicRequestTimeMetrics       | JMX中获取的TopicRequestTimeMetrics信息存DB | 51 0/1 * * * ?  | 每隔1分钟执行一次，在每分钟的51秒时触发 | 5        |
| autoHandleTopicOrder                   | AutoHandleTopicOrder                   | 定时自动处理Topic相关工单                  | 0 0/1 * * * ?   | 每隔1分钟执行一次，在每分钟的0秒时触发  | 1        |
| automatedHandleOrder                   | AutomatedHandleOrder                   | 工单自动化审批                             | 0 0/1 * * * ?   | 每隔1分钟执行一次，在每分钟的0秒时触发  | 1        |
| flushReassignment                      | FlushReassignment                      | 定时处理分区迁移任务                       | 0 0/1 * * * ?   | 每隔1分钟执行一次，在每分钟的0秒时触发  | 1        |
| syncTopic2DB                           | SyncTopic2DB                           | 定期将未落盘的Topic刷新到DB中              | 0 0/2 * * * ?   | 每隔2分钟执行一次，在每分钟的0秒时触发  | 1        |
| sinkCommunityTopicMetrics2Monitor      | SinkCommunityTopicMetrics2Monitor      | 定时上报Topic监控指标                      | 1 0/1 * * * ?   | 每隔1分钟执行一次，在每分钟的1秒时触发  | 5        |
| flush方法                              | LogicalClusterMetadataManager          | 定时刷新逻辑集群元数据到缓存中             | 0/30 * * * * ?  | 每隔30秒执行一次                        | 1        |
| flush方法                              | AccountServiceImpl                     | 定时刷新account信息到缓存中                | 0/5 * * * * ?   | 每隔5秒执行一次                         | 1        |
| ipFlush方法                            | HeartBeat                              | 定时获取管控平台所在机器IP等信息到DB       | 0/10 * * * * ?  | 每隔10秒执行一次                        | 1        |
| flushTopicMetrics方法                  | FlushTopicMetrics                      | 定时刷新topic指标到缓存中                  | 5 0/1 * * * ?   | 每隔1分钟执行一次，在每分钟的5秒时触发  | 1        |
| schedule方法                           | FlushBKConsumerGroupMetadata           | 定时刷新broker上消费组信息到缓存中         | 15 0/1 * * * ?  | 每隔1分钟执行一次，在每分钟的15秒时触发 |  1        |
| flush方法                              | FlushClusterMetadata                   | 定时刷新物理集群元信息到缓存中             | 0/30 * * * * ?  | 每隔30秒执行一次                        | 1         |
| flush方法                              | FlushTopicProperties                   | 定时刷新物理集群配置到缓存中               | 25 0/1 * * * ?  | 每隔1分钟执行一次，在每分钟的25秒时触发 | 1         |
| schedule方法                           | FlushZKConsumerGroupMetadata           | 定时刷新zk上的消费组信息到缓存中           | 35 0/1 * * * ?  | 每隔1分钟执行一次，在每分钟的35秒时触发 | 1         |



